commit: 6b3b1a21bba38869e147dde1dc5d5094ae9592a8
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 22 13:35:07 2018 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Mar 1 19:34:45 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b3b1a21
dev-python/ply: version bump to 3.11
dev-python/ply/Manifest | 1 +
dev-python/ply/ply-3.11.ebuild | 43 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-python/ply/Manifest b/dev-python/ply/Manifest
index 141a1b0fb1f..5ecf7864490 100644
--- a/dev-python/ply/Manifest
+++ b/dev-python/ply/Manifest
@@ -1,3 +1,4 @@
DIST ply-3.10.tar.gz 150926 BLAKE2B
b7373bfb83f66c35b77f244e67443f5c4805cb5e586e9e9f0bba9746cf72a1ec66ae5e638a29793dc835ef3e7bed061f1b3befd71597b82f86c9a2adbafcef04
SHA512
67fa60ea3fe2cafe165b7c105eb4b08c0c75c98720bbbb19da275215b333d3ce0742c90e558fbe97df396c6faaf85da744063728ab211651beae10e0cad01d44
+DIST ply-3.11.tar.gz 159130 BLAKE2B
58c50b9dad445ad83a64aaa8174ed4602b36f5c8df33a7d62590a92388c4a21c9800599c1d4e4db6f02630e8dee4c8482611e26498e4aa8ccdb2cf3453ae1db4
SHA512
37e39a4f930874933223be58a3da7f259e155b75135f1edd47069b3b40e5e96af883ebf1c8a1bbd32f914a9e92cfc12e29fec05cf61b518f46c1d37421b20008
DIST ply-3.6.tar.gz 281690 BLAKE2B
1a8e9e925c1a70832e3312208470a3bc4831b7ba18a0c2eb3a8b31fc9a850ae192809b9dec098f8479f2060e63ae781063b362227db2c6080aad85a2fb8648a2
SHA512
1a408d7cd4cdc9d747154623672e6baaf37ad2190cb9d6d6a7c1e1cc3cb40f15547734441b8fc99ecd67d7804d767576bdf0ed219cc669bf3d0df37498c55c55
DIST ply-3.9.tar.gz 150750 BLAKE2B
cb32c3837f2b4bd33ef2074dcb3f1421a54e820faf0e65def16f4c354643dc3e467f7c482dfc5b7f62cfb367945632e346b6e02e16cc79a91bb6f9241e315eb1
SHA512
c3beca6f70e9fdfd11f9fc7beb18efb03f0b32be3cdc949e96c4df3d060e7e9da3ee42d1f58f7a9225d333cb7864a4253fd3a9b75c496364276fe9969ebd7641
diff --git a/dev-python/ply/ply-3.11.ebuild b/dev-python/ply/ply-3.11.ebuild
new file mode 100644
index 00000000000..b5863d7b8c3
--- /dev/null
+++ b/dev-python/ply/ply-3.11.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Lex-Yacc library"
+HOMEPAGE="http://www.dabeaz.com/ply/ https://pypi.python.org/pypi/ply"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sh ~sparc ~x86 ~x64-cygwin ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos
~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="examples"
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DOCS=( ANNOUNCE CHANGES TODO )
+
+PATCHES=( "${FILESDIR}/3.6-picklefile-IOError.patch" )
+
+python_test() {
+ cp -r -l test "${BUILD_DIR}"/ || die
+ cd "${BUILD_DIR}"/test || die
+
+ # Checks for pyc/pyo files
+ local -x PYTHONDONTWRITEBYTECODE=
+
+ local t
+ for t in testlex.py testyacc.py; do
+ "${PYTHON}" "${t}" || die "${t} fails with ${EPYTHON}"
+ done
+}
+
+python_install_all() {
+ local HTML_DOCS=( doc/. )
+ use examples && dodoc -r example
+ distutils-r1_python_install_all
+}